Bienvenue sur le forum de la ZiGate !

Ici, nous échangeons sur les produits ZiGate (matériellement) et les firmware.

Pour que vous puissiez gagner du temps, je vous conseille de visiter, dans un premier temps, les forums et documentations des plugins et box domotique que vous avez choisi :

Jeedom :

Forum : https://community.jeedom.com/
Plugin ZiGate : https://github.com/Jeedom-Zigate/jeedom-plugin-zigate
Plugin Abeille : https://github.com/KiwiHC16/Abeille + http://kiwihc16.free.fr/

Domoticz :

Forum Francophonehttps://easydomoticz.com/forum/viewforum.php?f=28
Forum Anglophonehttps://www.domoticz.com/forum/viewforum.php?f=68
Développeur: @pipiche38 disponible sur keybase.io en chat

EEdomus :

Forum : https://forum.eedomus.com/

Home-assistant :

Plugin : https://github.com/doudz/homeassistant-zigate
Zigpy : https://www.home-assistant.io/integrations/zha/

Veuillez ou S’enregistrer pour créer des messages et des sujets de discussion.

Zigate déconnecte régulièrement

Bonjour, j'utilise la Zigate depuis le mois de Mai et j'en suis ravi !

J'ai des relais pour les lampes et tous les capteurs Xiaomi pour les portes/fenetres et thermomètres
J'ai installé tout ca dans Jeedom avec l'addon ZiGate

Tout fonctionne bien jusqu'au moment ou quelque chose plante (environ tous les 2 jours ...) et il faut que je relance le demon manuellement

Pouvez vous me dire si c'est un problème matériel ou logiciel et si c'est un soucis de configuration de la Clé Zigate ou du plugin ?

Merci d'avance 😉

Clé ZiGate Wifi

Current firmware: ZiGate-WiFi v2.00 with esp-link v3.2.50-gfe4f565-dirty

 

Log dans jeedom :

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 643, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 363, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
requests.packages.urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=dBtiivy1RbixSar4JNfWf52xJBfOLyFX (Caused by NewConnectionError('<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f9692057ac8>: Failed to establish a new connection: [Errno 111] Connection refused',))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 297, in <module>
if not jc.test():
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 81, in test
r = self.send_now({'action': 'test'})
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 77, in send_now
return self._request(message)
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 64, in _request
verify=False)
File "/usr/lib/python3/dist-packages/requests/api.py", line 110, in post
return request('post', url, data=data, json=json, **kwargs)
File "/usr/lib/python3/dist-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 487, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=dBtiivy1RbixSar4JNfWf52xJBfOLyFX (Caused by NewConnectionError('<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f9692057ac8>: Failed to establish a new connection: [Errno 111] Connection refused',))
[2020-08-27 23:25:14][ERROR] : Impossible de lancer le démon zigate, relancer le démon en debug et vérifiez la log
[2020-08-27 23:30:09][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consécutivement
[2020-08-27 23:34:30][ERROR][zigate](ZiGate-Decode data) : Device 9a15 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-27 23:38:11][ERROR][zigate](ZiGate-Decode data) : Device a5d4 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-27 23:48:11][ERROR][zigate](ZiGate-Decode data) : Device 9200 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-27 23:51:42][ERROR][zigate](ZiGate-Decode data) : Device 8629 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-27 23:56:57][ERROR][zigate](ZiGate-Decode data) : Device 6b3e doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-27 23:57:33][ERROR][zigate](ZiGate-Decode data) : Command 0x0043 failed Failed (ZigBee event codes) 0xa6 : b''
[2020-08-28 00:02:46][ERROR][zigate](ZiGate-Decode data) : Command 0x0043 failed Failed (ZigBee event codes) 0xa6 : b''
[2020-08-28 00:03:39][ERROR][zigate](ZiGate-Decode data) : Command 0x0043 failed Failed (ZigBee event codes) 0xa6 : b''
[2020-08-28 00:04:21][ERROR][zigate](ZiGate-Decode data) : Command 0x0043 failed Failed (ZigBee event codes) 0xa6 : b''
[2020-08-28 00:13:13][ERROR][zigate](ZiGate-Decode data) : Device 6cee doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 00:21:18][ERROR][zigate](ZiGate-Decode data) : Device dc93 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 00:34:57][ERROR][zigate](ZiGate-Decode data) : Device 9a15 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 00:38:34][ERROR][zigate](ZiGate-Decode data) : Device a5d4 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 00:48:33][ERROR][zigate](ZiGate-Decode data) : Device 9200 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 00:52:06][ERROR][zigate](ZiGate-Decode data) : Device 8629 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 00:57:22][ERROR][zigate](ZiGate-Decode data) : Device 6b3e doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 01:13:34][ERROR][zigate](ZiGate-Decode data) : Device 6cee doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 01:21:33][ERROR][zigate](ZiGate-Decode data) : Device dc93 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 01:35:32][ERROR][zigate](ZiGate-Decode data) : Device 9a15 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 01:39:00][ERROR][zigate](ZiGate-Decode data) : Device a5d4 doesn't receive last command to endpoint 1 cluster 0: 0xa7
[2020-08-28 01:49:01][ERROR][zigate](ZiGate-Decode data) : Device 9200 doesn't receive last command to endpoint 1 cluster 0: 0xa7

Bonjour,

J'ai des lampes Ikea et tous les capteurs Xiaomi pour les portes/fenetres et thermomètres
J'ai installé tout ca dans Jeedom avec le plugin ZiGate

Tout fonctionne bien jusqu'au moment ou quelque chose plante (environ tous les 2 jours ...) et il faut que je fasse un reset de la clés USB zigate

Pouvez vous me dire si c'est un problème matériel ou logiciel et si c'est un soucis de configuration de la Clé Zigate ou du plugin ?

Merci d'avance

 

Log dans jeedom :

[2021-01-19 10:54:08][ERROR][zigate](ZiGate-Decode data) : Device 6c69 doesn't receive last command to endpoint 1 cluster 6: 0xa7
[2021-01-19 11:45:41][ERROR][zigate](ZiGate-Decode data) : Device bbdc doesn't receive last command to endpoint 1 cluster 8: 0xa7
Exception in thread ZiGate-Decode data:
Traceback (most recent call last):
File "/usr/lib/python3.7/threading.py", line 917, in _bootstrap_inner
self.run()
File "/usr/lib/python3.7/threading.py", line 865, in run
self._target(*self._args, **self._kwargs)
File "/usr/local/lib/python3.7/dist-packages/zigate/core.py", line 597, in decode_data
self.interpret_response(response)
File "/usr/local/lib/python3.7/dist-packages/zigate/core.py", line 685, in interpret_response
response.cleaned_data())
File "/usr/local/lib/python3.7/dist-packages/zigate/core.py", line 3079, in set_attribute
self._handle_quirks(changed)
File "/usr/local/lib/python3.7/dist-packages/zigate/core.py", line 3093, in _handle_quirks
data_map = [(0x01, 0x0001, 0x0020, values[1] / 100.),]
KeyError: 1
[2021-01-19 12:45:41][ERROR][zigate](ZiGate-Decode data) : Device bbdc doesn't receive last command to endpoint 1 cluster 8: 0xa7
[2021-01-19 12:45:42][ERROR][zigate](ZiGate-Decode data) : Device cc65 doesn't receive last command to endpoint 1 cluster 8: 0xa7

Vu les logs, ça ressemble à un problème logiciel lié à python.

Veuillez vous rapprocher du forum dédié au plugin.

Fred

Translate »